Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.compare.contentmergeviewer
Interface IDocumentRange

All Known Implementing Classes:
  DocumentRangeNode

public interface IDocumentRange

Defines a subrange in a document.

It is used by text viewers that can work on a subrange of a document. For example, a text viewer for Java compilation units might use this to restrict the view to a single method.

Clients may implement this interface.

See Also:
  `TextMergeViewer`, `DocumentRangeNode`

Field Summary
`static String` | `RANGE_CATEGORY` The position category typically used for an `IDocumentRange` position (value `"DocumentRangeCategory"`).

Method Summary
`IDocument` | `getDocument()` Returns the underlying document.
`Position` | `getRange()` Returns a position that specifies a subrange in the underlying document, or `null` if this document range spans the whole underlying document.

Field Detail

### RANGE_CATEGORY

    public static final String RANGE_CATEGORY

  The position category typically used for an `IDocumentRange` position (value `"DocumentRangeCategory"`).

  Since:
    2.0
  See Also:
    Constant Field Values

Method Detail

### getDocument

    public IDocument getDocument()

  Returns the underlying document.

  Returns:
    the underlying document

### getRange

    public Position getRange()

  Returns a position that specifies a subrange in the underlying document, or `null` if this document range spans the whole underlying document.

  Returns:
    a position that specifies a subrange in the underlying document, or `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.